commit 625d2c257a8284515922f2235b9abf9ad28cc907
parent e6e44b7c41a9b517ffc3775ea0a6aec2b1d4591b
Author: Bjørn Erik Pedersen <bjorn.erik.pedersen@gmail.com>
Date: Sun, 10 Oct 2021 16:51:06 +0200
releaser: Update to Go go1.17.2
* This now uses the `golang:1.17.2-buster` Docker image which runs GLIBC 2.28-10.
* Also added a build hook to warn us if this happens again in the future.
Fixes #8955
Diffstat:
3 files changed, 12 insertions(+), 1 deletion(-)
diff --git a/.circleci/config.yml b/.circleci/config.yml
@@ -1,6 +1,6 @@
defaults: &defaults
docker:
- - image: bepsays/ci-goreleaser:1.16.7
+ - image: bepsays/ci-goreleaser:1.17.2
environment:
CGO_ENABLED: "0"
diff --git a/goreleaser-hook-post-linux.sh b/goreleaser-hook-post-linux.sh
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+# Se https://github.com/gohugoio/hugo/issues/8955
+objdump -T dist/hugo_extended_linux_linux_amd64/hugo | grep -E -q 'GLIBC_2.2[0-9]'
+RESULT=$?
+if [ $RESULT -eq 0 ]; then
+ echo "Found GLIBC_2.2x in Linux binary, this will not work in older Vercel/Netlify images.";
+ exit -1;
+fi
diff --git a/goreleaser.yml b/goreleaser.yml
@@ -84,6 +84,8 @@ builds:
- linux
goarch:
- amd64
+ hooks:
+ post: ./goreleaser-hook-post-linux.sh
release:
draft: true